package com.tzld.piaoquan.growth.common.model.po;

import java.util.Date;

public class HistoryMessage {
    private Long id;

    private Long corpId;

    private Long userId;

    private Long staffId;

    private Long videoId;

    private Integer attachmentIdx;

    private Integer status;

    private Date sendTime;

    private Integer isDelete;

    private String source;

    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getStaffId() {
        return staffId;
    }

    public void setStaffId(Long staffId) {
        this.staffId = staffId;
    }

    public Long getVideoId() {
        return videoId;
    }

    public void setVideoId(Long videoId) {
        this.videoId = videoId;
    }

    public Integer getAttachmentIdx() {
        return attachmentIdx;
    }

    public void setAttachmentIdx(Integer attachmentIdx) {
        this.attachmentIdx = attachmentIdx;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", corpId=").append(corpId);
        sb.append(", userId=").append(userId);
        sb.append(", staffId=").append(staffId);
        sb.append(", videoId=").append(videoId);
        sb.append(", attachmentIdx=").append(attachmentIdx);
        sb.append(", status=").append(status);
        sb.append(", sendTime=").append(sendTime);
        sb.append(", isDelete=").append(isDelete);
        sb.append(", source=").append(source);
        sb.append(", createTime=").append(createTime);
        sb.append("]");
        return sb.toString();
    }
}